eoFlOrKMutation(3)

NAME
eoFlOrKMutation - Applies an atomic mutation to a fixed number of components (1 by default).

SYNOPSIS

#include <eoFlOrMonOp.h>

Inherits eoMonOp< EOT >.

  Public Types
typedef EOT::AtomType AtomType

  Public Member Functions
eoFlOrKMutation (eoMonOp< AtomType > &_atomMutation, unsigned _nb=1)
default ctor: requires an Atom mutation
bool operator() (EOT &_eo)
applies the atom mutation to K randomly selected components
virtual std::string className () const
inherited className()

  Private Attributes
unsigned nb
eoMonOp< AtomType > & atomMutation

Detailed Description

  template<class EOT> class eoFlOrKMutation< EOT >
Applies an atomic mutation to a fixed number of components (1 by default).

Definition at line 82 of file eoFlOrMonOp.h.

Author

Generated automatically by Doxygen for EO from the source code.